Forum > General

So many bugs in Lazarus Ide

(1/7) > >>

nick1965:
why nothing works on lazarus?

1) you install cross compike and trunk version with fpcdeluxe and 50% of components are not working.
    also you get  so many errors

2) You install laz for android and you must be charismatic to find out that you need old versions of NDK and SDK and god knows what else.
3) You install it from source and you leave it one day and you pray and you get 10000 errors.

is it so big deal to create seperate Installation msi for each OS?

I just popup to say that before i uninstall anything from lazarus and continue with me loved Delphi.

the only good think i can find is that is running ( for simple tasks ) good on Freebsd Anything else is just so bad.





af0815:
a) installing trunk is at your own risk
b) laz for android is not a Lazarus problem - it is no part of Lazarus. Nor the NDK or SDK. You can ask here https://forum.lazarus.freepascal.org/index.php/board,43.0.html
c) for point 3 use the last stable. If you use trunk/master - it is on your own risk.

Only Windows have msi. Delphi is only the lastest stable (other version are not provided).

The 'official installers' are here https://sourceforge.net/projects/lazarus/files/ or use the link on the left side of the forum. This are the official installers.

Handoko:
Trunk is not for common users.

Don't complain if you don't know how to make it works. As suggested by af0815, use the stable version or the official installer.

Bart:
Also, using Lazarus trunk with fpc trunk is not for the faint-hearted.

I run Lazarsus trunk (bigide) with stable fpc on Windows, compiled from source (Lazarus, that is).
I don't pray. It just works (and sometimes not, but that's trunk, it's unstable by definition).
I used to have Lazarus fixes with stable fpc, and Lazaus trunk with fpc trunk without major troubles, but did not get around to have that again after the move to git.

I run Lazarus trunk with fpc stable on Linux Mint using GTK2 or QT4.
Runs just fine.
Still no praying needed.

I don't have an android device, nor a Mac, never had FreeBSD on a machine.
I do have Haiku on a machine, but no fpc/Lazarus on that.

I don't have a recent Delpi (and not going to pay huge $$ for that either).

Bart

GetMem:
I have an uncontrollable urge to write something "nice" to nick1965, but I better restrain myself.
Good luck with Delphi!

Jeez! %)



Edit: Corrected typo.

Navigation

[0] Message Index

[#] Next page

Go to full version